Package Gnumed :: Package timelinelib :: Package drawing :: Module scene :: Class TimelineScene |
[frames] | no frames]

# Class TimelineScene

source code

    object --+
             |
            TimelineScene

Instance Methods
__init__(self, size, db, view_properties, get_text_size_fn, config) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
set_outer_padding(self, outer_padding) | source code
set_inner_padding(self, inner_padding) | source code
set_baseline_padding(self, baseline_padding) | source code
set_period_threshold(self, period_threshold) | source code
set_data_indicator_size(self, data_indicator_size) | source code
create(self) | source code
x_pos_for_time(self, time) | source code
x_pos_for_now(self) | source code
get_time(self, x) | source code
distance_between_times(self, time1, time2) | source code
width_of_period(self, time_period) | source code
get_closest_overlapping_event(self, selected_event, up=True) | source code
get_hidden_event_count(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, size, db, view_properties, get_text_size_fn, config) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)